import request from "@/api/request.js";

// 全联盟-获取联盟列表
/**
 * @header token
 * @param {Object} params
 * @param {String} params.date - 日期
 */
export function getAllUnionList(params) {
	return request({
		method: "GET",
		url: `/api/union/union/unionList/${params.date}`,
		params: {
			domainId: params.domainId ? params.domainId : null
		}
	});
}

// 全联盟-获取排华数量
/**
 * @header token
 */
export function getUnionCount(params) {
	return request({
		method: "GET",
		url: `/api/union/union/unionCount`,
		params: {
			currentPage: params.page ? params.page : 1,
			pageSize: params.pageSize ? params.pageSize : 10,
			domainId: params.domainId ? params.domainId : null
		}
	});
}

// 全联盟-获取排华联盟动态
/**
 * @header token
 */
export function getDynamic(params) {
	return request({
		method: "GET",
		url: `/api/union/union/dynamic`,
		params
	});
}

// 全联盟-获取排华联盟预警
/**
 * @param {Object} params
 * @param {Integer} params.id - 上一接口查询的EccnCategoryID
 * @header token
 */
export function getPrediction() {
	return request({
		method: "GET",
		url: `/api/union/union/prediction`
	});
}

// 全联盟-获取排华联盟领域分布
/**
 * @param {Object} params
 * @param {Integer} params.id - 上一接口查询的EccnCategoryID
 * @header token
 */
export function getIndustry() {
	return request({
		method: "GET",
		url: `/api/union/union/industry`
	});
}

// 全联盟-获取排华联盟国家紧密度
/**
 * @param {Object} params
 * @param {Integer} params.id - 上一接口查询的EccnCategoryID
 * @header token
 */
export function getCountryRelation() {
	return request({
		method: "GET",
		url: `/api/union/union/countryRelation`
	});
}
